#ifndef _SIGNALS_HPP_
#define _SIGNALS_HPP_

#include "syselmts.hpp"

class Signal : public SystemElement
{
public:
    Signal(std::string name);
};

class Signals : public SystemElementContainer<Signal>
{
public:
    Signals(void);
    Signals(std::vector<Signal> signals);
};

#endif // _SIGNALS_HPP_